Bug 1384532 - AttributeError: 'Blivet' object has no attribute 'zfcp'
Summary: AttributeError: 'Blivet' object has no attribute 'zfcp'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: s390x
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: ZedoraTracker F25s390x
TreeView+ depends on / blocked
 
Reported: 2016-10-13 13:30 UTC by Jan Stodola
Modified: 2017-07-31 18:43 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-15 13:32:58 UTC


Attachments (Terms of Use)

Description Jan Stodola 2016-10-13 13:30:13 UTC
Description of problem:
I tried to add a zFCP disk in GUI and got this traceback:

anaconda 25.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/advstorage/zfcp.py", line 45, in __init__
    self.zfcp = self.storage.zfcp()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/filter.py", line 680, in on_add_zfcp_clicked
    dialog = ZFCPDialog(self.data, self.storage)
AttributeError: 'Blivet' object has no attribute 'zfcp'

Version-Release number of selected component (if applicable):
Fedora-25-20161007.0 (tested with and without updates=http://fedora.danny.cz/s390/updates-1378338.img)
anaconda-25.20.4-1.fc25
python3-blivet-2.1.6-1.fc25

How reproducible:
always

Steps to Reproduce:
1. start vnc installation on s390x
2. proceed to the installation destination spoke and try to add a new zFCP disk

Actual results:
anaconda traceback

Expected results:
A dialog window for entering devnum/wwpn/lun should appear

Comment 2 Jan Stodola 2016-10-13 13:35:23 UTC
And similar issue when adding a DASD disk:

anaconda 25.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/advstorage/dasd.py", line 45, in __init__
    self.dasd = self.storage.dasd
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/filter.py", line 695, in on_add_dasd_clicked
    dialog = DASDDialog(self.data, self.storage)
AttributeError: 'Blivet' object has no attribute 'dasd'

Comment 3 Samantha N. Bueno 2016-10-26 22:33:24 UTC
https://github.com/rhinstaller/anaconda/pull/847 should fix both issues.

Comment 4 Fedora Update System 2016-10-31 10:22:01 UTC
anaconda-25.20.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98dad065d7

Comment 5 Fedora Update System 2016-11-03 18:23:07 UTC
anaconda-25.20.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-11-07 23:31:24 UTC
anaconda-25.20.7-1.fc25 python-blivet-2.1.6-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91844f4982

Comment 7 Fedora Update System 2016-11-09 02:26:18 UTC
anaconda-25.20.8-1.fc25, python-blivet-2.1.6-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91844f4982

Comment 8 Fedora Update System 2016-11-15 13:32:58 UTC
anaconda-25.20.8-1.fc25, python-blivet-2.1.6-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.